/// <reference types="react" />
import type { DMenuMode } from './Menu';
export interface DItemProps {
    children: React.ReactNode;
    dId: string;
    dLevel: number;
    dStep: number;
    dSpace: number;
    dIcon: React.ReactNode | undefined;
    dPosinset: [number, number];
    dMode: DMenuMode;
    dInNav: boolean;
    dActive: boolean;
    dFocusVisible: boolean;
    dDisabled: boolean;
    onItemClick: () => void;
}
export declare function DItem(props: DItemProps): JSX.Element | null;
