var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { getClassName } from '@react-devui/utils';
import { useDValue } from '../../hooks';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DTable.Expand' });
export function DTableExpand(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { dExpand, onExpandChange } = _a, restProps = __rest(_a, ["dExpand", "onExpandChange"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    const [expand, changeExpand] = useDValue(false, dExpand, onExpandChange);
    return (_jsx("button", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}table__expand`, {
            'is-expand': expand,
        }), onClick: (e) => {
            var _a;
            (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            changeExpand((draft) => !draft);
        } })));
}
