import React from 'react';
import { DCardAction } from './CardAction';
import { DCardContent } from './CardContent';
import { DCardHeader } from './CardHeader';
export interface DCardProps extends React.HTMLAttributes<HTMLDivElement> {
    dBorder?: boolean;
    dShadow?: boolean | 'hover';
    dActions?: React.ReactNode[];
}
export declare const DCard: {
    (props: DCardProps): JSX.Element | null;
    Action: typeof DCardAction;
    Header: typeof DCardHeader;
    Content: typeof DCardContent;
};
