/// <reference types="react" />
export interface DNotificationProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dVisible: boolean;
    dType?: 'success' | 'warning' | 'error' | 'info';
    dIcon?: React.ReactNode;
    dTitle: React.ReactNode;
    dDescription?: React.ReactNode;
    dDuration?: number;
    dPlacement?: 'left-top' | 'right-top' | 'left-bottom' | 'right-bottom';
    dActions?: React.ReactNode[];
    dEscClosable?: boolean;
    onClose?: () => void;
    afterVisibleChange?: (visible: boolean) => void;
}
export declare function DNotification(props: DNotificationProps): JSX.Element | null;
