/// <reference types="react" />
import type { DFormControl } from '../form';
export interface DStarProps {
    dFormControl: DFormControl | undefined;
    dValue: number;
    dName: string;
    dDisabled: boolean;
    dIcon: React.ReactNode;
    dChecked: number | null;
    dHoverValue: number | null;
    dHalf: boolean;
    dTooltip: ((value: number) => React.ReactNode) | undefined;
    onCheck: (value: number) => void;
    onHoverChange: (value: number) => void;
}
export declare function DStar(props: DStarProps): JSX.Element | null;
