var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DSkeleton' });
export function DSkeleton(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { children, dVariant = 'text' } = _a, restProps = __rest(_a, ["children", "dVariant"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsxs("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}skeleton`, `${dPrefix}skeleton--${dVariant}`) }, { children: [dVariant === 'text' && (_jsx("div", Object.assign({ className: `${dPrefix}skeleton__placeholder`, "aria-hidden": true }, { children: "t" }))), children] })));
}
